suspend hibernation not working on dell 1749

Bug #748994 reported by Rémi on 2011-04-03
210
This bug affects 40 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Hello every body

natty look very cool but hibernation and suspend are not working on my computer ( dell studio 1749) and it's was working allright on maverick.

- suspend look to work but resume don't work, the screen stay black without even lcd back light
- hibernation don't look to work, screen stay completly black and cpu sound to work (fan working fastly). and computer never shut down.

if I can help in any way, you are welcome to ask me.

Rémi

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-7-generic-pae 2.6.38-7.39
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38-7-generic-pae i686
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: paz 1268 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0a00000 irq 44'
   Mixer name : 'IDT 92HD73C1X5'
   Components : 'HDA:111d7675,1028041b,00100103'
   Controls : 18
   Simple ctrls : 12
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xcfedc000 irq 46'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Sun Apr 3 12:41:47 2011
HibernationDevice: RESUME=UUID=c54dab42-68b4-4f09-9388-29d281bfd290
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 0c45:6406 Microdia
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Studio 1749
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=1dd89e80-130b-4521-b63a-f927fc8879ef ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-7-generic-pae N/A
 linux-backports-modules-2.6.38-7-generic-pae N/A
 linux-firmware 1.49
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/30/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.asset.tag: 1234567890
dmi.board.name: 0KVMW2
dmi.board.vendor: Dell Inc.
dmi.chassis.asset.tag: 1234567890
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd09/30/2010:svnDellInc.:pnStudio1749:pvr:rvnDellInc.:rn0KVMW2:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Studio 1749
dmi.sys.vendor: Dell Inc.

Rémi (pazelty) wrote :
Rémi (pazelty) wrote :

as requested I tried the original kernel (2.6.39)

and the computer didn't even enter to suspend

Rémi

Brad Figg (brad-figg) on 2011-04-07
Changed in linux (Ubuntu):
status: New → Confirmed
Matthew Pace (matthew-dp-96) wrote :

I have this same issue with the Studio 1749. Sometimes it resumes to a black (with no backlight) screen, and sometimes a tty screen that is frozen (I have no control over).

I have the same issue with Dell Studio 1747 (11.04 64bit).

Closing the lid enters suspend mode, but gives blank (no backlight) on return.
Hibernate shows the screen lock password prompt, then drops to a black screen with a blinking underscore which eventually freezes.

After cold-booting the system the fans spin extra-fast for some reason.

The problem persists invariantly of using fglrx or community-supported drivers for the video card (which is an ATI mobility radeon HD 560v). I thought that might be relevant because in 10.10 the problem would be present using community-supported drivers but not proprietary.

Matthew Pace (matthew-dp-96) wrote :

Any new developments? I did a fresh install, but with no change.

Mark Campbell (mark.campbell) wrote :

Same issue. Couldn't get to console (ctrl+alt+f3) after suspending. Tried it with console mode enabled and the GDM service stopped and I still couldn't get back -- just a blank screen (albeit, power was running through it.... as well as the rest of the computer).

Dinu (deenoo-g) wrote :

I have the same issue on my Sony Vaio VPCY2

waspbloke (david-emmo) wrote :

same here.

I have my Dell Studio XPS 16 using external monitor with laptop lid permanently closed. When I activate suspend from either menu or from sleep button on external keyboard, laptop sleeps but when it wakes, just blank and cannot do anything. HDD and wifi indicator lights start flickering like something is going on but both displays refuse to wake up.

I got both suspend and hibernate working again after manually installing an older kernel (2.6.35 - http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-maverick/) If you look in the parent directory you'll see that it's quite an old one so maybe it was a bit of an overkill.

in any case, two-finger scrolling on the touchpad flew out the window pretty much instantly (I remember having defined some custom driver for that in maverick previously), but edge-scrolling still works. Audio and video still work as they did before and I can't see anything obviously wrong otherwise...but i guess a lot of bugs have been squashed since then so a progressively going backwards might be better.

In any case, installation apparently has to be done in a specific sequence:

1 linux-header-xxxxxx-all.deb
2 linux-header-xxxxxxx-(your architecture i386 OR amd64 goes here).deb
2 linux-image-xxxxxxx-(your architecture i386 OR amd64 goes here).deb

then run sudo update-grub to make the option available to you under the "previous linux version" boot option. I dont know if that's helpful in solving the bug, itself but if people need a work-around to the problem in the mean time, this MIGHT be one (no guarantees, since i dont know what im doing half the time!)

Martin Achtman (scuro) wrote :

same on HP EliteBook 6930p
Linux w04hlh 2.6.38-9-generic-pae #43-Ubuntu SMP Thu Apr 28 17:12:11 UTC 2011 i686 i686 i386 GNU/Linux
Suspend to disk working but suspend to ram freezes on resume.
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
02:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
85:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 06)
85:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 25)
85:09.2 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev bb)

Martin Achtman (scuro) wrote :

...works perfect with 2.6.39-020639rc4-generic #201104191410 SMP Tue Apr 19 15:45:56 UTC 2011 i686 i686 i386 GNU/Linux
suspend to ram and also suspend to disk

Dinu (deenoo-g) wrote :

so you're saying this issue is fixed on the next coming kernel 2.6.39 ?

Luis Russo (lmsrusso) wrote :

Same issue here.

 Thinkpad X201.

rtjmay (rtjmay) wrote :

This issue is also affecting my HP dv7-1245ca.

Hibernation fails to resume and waking from suspend results in a hard lock that requires removing the battery to force a reboot.

Alex-stillman (alex-stillman) wrote :

Affects me as well I'm on a Dell Studio 1749. Every time I try to reboot I get a blank screen (no backlight) but the fan works hard like its doing something and the start up light animation on the media controls activates.

Same issue on Dell E4300. When is this new kernel coming ?

Dinu (deenoo-g) wrote :

I've tried the 2.6.39 rc4 kernel as Martin Schneider suggested above , but he's talking non-sense, my laptop is freezing during boot time.

rtjmay (rtjmay) wrote :

The 2.6.39rc4 also failed to fix the issue on my HP.

I will try an older kernel version next.

The 2.6.39rc4 also failed to fix the issue on my HP.
>
> I will try an older kernel version next.
>
>
I tried with the 2.6.39rc7

unfortunatly, nothing changed.

Rémi

Micah Nordland (mpnordland) wrote :

I've a Dell Studio 1747 with 64 bit Ubuntu 11.04. This bug effects me.

Scott Morris (scott-r-morris) wrote :

Dell Latitude E6400 with Ubuntu 11.04 upgrade from 10.10 - when I close and reopen the lid, the screen comes back to last state, but is unresponsive and a hard reboot is required.

Ryan Amick (finisdiem) wrote :

Affecting me too. i updated to kernal 2.6.39-0 but still doesn't work

Had this on Compal FL90. Updating kernel to 2.6.39-0 fixed the problem. But when laptop is coming back from sleep, password dialog doesn't show up, there's only mouse cursor on screen. When I press any key screen becomes messy with white-something all over it, but typing right password and pressing enter takes you back to your desktop.

Upgrading to kernel 2.6.39-0 didn't fix this for me (studio 1747)

Zum Kuckuck (aufdemwasen) wrote :

Similar problem with Toshiba NB550D. Resume from Suspend fails occasionally.
https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/760128

Peter Giles (g1l3sp) wrote :

Similar problem on Thinkpad W520. Didn't seem to happen w/ 32 bit Ubuntu 11.04 for me, but does w/ 64 bit. I am also using the nVidia binary driver (I'm currently using 270.41.19, the .deb from the ubuntu-x-swat ppa). Haven't tried kernel 2.6.39-0 yet.

Dinu (deenoo-g) wrote :

So you're saying that this issue does not exist on Ubuntu 11.04 32bit version but it does exist on the 64bit version ?

Peter Giles (g1l3sp) wrote :

That has been my experience, but I've spent a lot more time with the 64 bit version so take that how you will. I may switch to 32 bit for a while while these issues get hashed out, if so I'll report back.

Dinu (deenoo-g) wrote :

Yes please, if you do switch back to 32bit anyway, then please confirm the suspend and hibernation are working fine.

If yes I will switch to 32bit , myself, too.

Rémi (pazelty) wrote :

I'm in 32 bits and that's not working for me anyway.
I do not thing that's the problem.

I'm with a dell 1749

It's may work with Linux 3.0.0

did somebody tried ?

Rémi

2011/6/9 Dinu <email address hidden>

> Yes please, if you do switch back to 32bit anyway, then please confirm
> the suspend and hibernation are working fine.
>
> If yes I will switch to 32bit , myself, too.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/748994
>
> Title:
> suspend hibernation not working on dell 1749
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/748994/+subscriptions
>

Ryan Amick (finisdiem) wrote :

i think it has to do with intel wifi

On Thu, Jun 9, 2011 at 5:11 AM, Rémi <email address hidden> wrote:

> I'm in 32 bits and that's not working for me anyway.
> I do not thing that's the problem.
>
> I'm with a dell 1749
>
> It's may work with Linux 3.0.0
>
> did somebody tried ?
>
> Rémi
>
> 2011/6/9 Dinu <email address hidden>
>
> > Yes please, if you do switch back to 32bit anyway, then please confirm
> > the suspend and hibernation are working fine.
> >
> > If yes I will switch to 32bit , myself, too.
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/748994
> >
> > Title:
> > suspend hibernation not working on dell 1749
> >
> > To manage notifications about this bug go to:
> >
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/748994/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/748994
>
> Title:
> suspend hibernation not working on dell 1749
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/748994/+subscriptions
>

rtjmay (rtjmay) wrote :

Intel wi-fi isn't the issue for me, I have Atheros ath5k.

Peter Giles (g1l3sp) wrote :

Switched to 32 bit last night and things are indeed working much better for me. Suspend / unsuspend is working like a champ. Again, I've got a Thinkpad W520 (w/ nVidia binary driver), not a Dell. YMMV.

Dinu (deenoo-g) wrote :

Thanks for confirming this.

Well I have an Intel video board so I have to try if the 32 bit will work or not for me.

Pedro Gonnet (gonnet) wrote :

I have a Lenovo ThinkPad x201 running the 32-bit 2.6.38-8-generic-pae kernel. I get "freezes" on wakeup from both hibernate and suspend, especially if the Laptop was suspended while on its base station.

I can get around the "freeze" by typing in my password blindly (security nuts, go wild here) and switching back and forth to a text console (Ctrl-Alt-F1/Ctrl-Alt-F7).

I should, perhaps, also note that I use external monitors. Sometimes just opening and closing the laptop does it for me, as I have it set up to _not_ suspend on close.

Cheers, Pedro

Download full text (3.2 KiB)

I have the same issue with Itautec w7655.
Suspend mode occurs fine but hibernate doens't work.

List of components in my laptop:

H/W path Device Class Description
====================================================
                             system Infoway ()
/0 bus Motherboard
/0/0 memory 107KiB BIOS
/0/2 bus W7655
/0/4 processor Intel(R) Core(TM)2 Duo CPU T6600 @ 2.20GHz
/0/4/5 memory 64KiB L1 cache
/0/4/6 memory 2MiB L2 cache
/0/4/0.1 processor Logical CPU
/0/4/0.2 processor Logical CPU
/0/15 memory 4GiB System Memory
/0/15/0 memory 2GiB SODIMM DDR2 Synchronous 800 MHz (1,2 ns)
/0/15/1 memory 2GiB SODIMM DDR2 Synchronous 800 MHz (1,2 ns)
/0/1 processor
/0/1/0.1 processor Logical CPU
/0/1/0.2 processor Logical CPU
/0/100 bridge Mobile 4 Series Chipset Memory Controller Hub
/0/100/2 display Mobile 4 Series Chipset Integrated Graphics Controller
/0/100/2.1 display Mobile 4 Series Chipset Integrated Graphics Controller
/0/100/1a bus 82801I (ICH9 Family) USB UHCI Controller #4
/0/100/1a.1 bus 82801I (ICH9 Family) USB UHCI Controller #5
/0/100/1a.2 bus 82801I (ICH9 Family) USB UHCI Controller #6
/0/100/1a.7 bus 82801I (ICH9 Family) USB2 EHCI Controller #2
/0/100/1b multimedia 82801I (ICH9 Family) HD Audio Controller
/0/100/1c bridge 82801I (ICH9 Family) PCI Express Port 1
/0/100/1c.5 bridge 82801I (ICH9 Family) PCI Express Port 6
/0/100/1c.5/0 eth1 network RTL8111/8168B PCI Express Gigabit Ethernet controller
/0/100/1d bus 82801I (ICH9 Family) USB UHCI Controller #1
/0/100/1d.1 bus 82801I (ICH9 Family) USB UHCI Controller #2
/0/100/1d.2 bus 82801I (ICH9 Family) USB UHCI Controller #3
/0/100/1d.7 bus 82801I (ICH9 Family) USB2 EHCI Controller #1
/0/100/1e bridge 82801 Mobile PCI Bridge
/0/100/1f bridge ICH9M LPC Interface Controller
/0/100/1f.2 scsi0 storage ICH9M/M-E SATA AHCI Controller
/0/100/1f.2/0 /dev/sda disk 320GB WDC WD3200BEVT-0
/0/100/1f.2/0/1 /dev/sda1 volume 3814MiB Linux swap volume
/0/100/1f.2/0/2 /dev/sda2 volume 25GiB EXT4 volume
/0/100/1f.2/0/3 /dev/sda3 volume 269GiB EXT3 volume
/0/100/1f.2/1 /dev/cdrom disk DVD RW AD-7560S
/0/100/1f.3 bus 82801I (ICH9 Family) SMBus Controller
/0/3 scsi6 storage
/0/3/0.0.0 /dev/sdb disk SCSI Disk
/1 power To Be Defined By O.E.M
/2 wl...

Read more...

I confirm suspend never work with Natty on Dell 1749

00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1c.5 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 6 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
02:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD 5600 Series]
02:00.1 Audio device: ATI Technologies Inc Redwood HDMI Audio [Radeon HD 5600 Series]
08:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)
14:00.0 FireWire (IEEE 1394): O2 Micro, Inc. Device 10f7 (rev 01)
14:00.1 SD Host controller: O2 Micro, Inc. Device 8120 (rev 01)
14:00.2 Mass storage controller: O2 Micro, Inc. Device 8130 (rev 01)
20:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 05)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 05)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 05)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 05)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 05)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 05)

Linux dalexandre-linux 2.6.38-10-generic #46-Ubuntu SMP Tue Jun 28 15:07:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Please, contact if you need any more information

Chris Kruger (kruger-chris) wrote :
Download full text (8.3 KiB)

As per a post I picked up while looking for answers to this disaster (I
consult to 4 different clients per week and NEED hibernate), I downloaded
and implemented kernel "2.6.35-020635-generic" (64bit).
Both Suspend and Hibernate work fine as long as you do not have an active
"Wireless" connection.
You have to turn the wireless connection off before you hibernate otherwise
it just hangs with a black screen and the fan going all the time.
Hope this helps other people who like me has to hibernate their laptop to
continue from one day to the next.
(Sadly I was at the point of convincing my one International client to
switch to Linux desktops globally when another silly thing like this made
them decide not to)
Chris Kruger

On Mon, Jul 4, 2011 at 6:44 AM, Alexandre Damien
<email address hidden>wrote:

> I confirm suspend never work with Natty on Dell 1749
>
> 00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev
> 02)
> 00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root
> Port (rev 02)
> 00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series
> Chipset HECI Controller (rev 06)
> 00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2
> Enhanced Host Controller (rev 06)
> 00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High
> Definition Audio (rev 06)
> 00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI
> Express Root Port 1 (rev 06)
> 00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI
> Express Root Port 2 (rev 06)
> 00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI
> Express Root Port 3 (rev 06)
> 00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI
> Express Root Port 4 (rev 06)
> 00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI
> Express Root Port 5 (rev 06)
> 00:1c.5 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI
> Express Root Port 6 (rev 06)
> 00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2
> Enhanced Host Controller (rev 06)
> 00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
> 00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface
> Controller (rev 06)
> 00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4
> port SATA AHCI Controller (rev 06)
> 00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus
> Controller (rev 06)
> 00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400
> Series Chipset Thermal Subsystem (rev 06)
> 02:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD
> 5600 Series]
> 02:00.1 Audio device: ATI Technologies Inc Redwood HDMI Audio [Radeon HD
> 5600 Series]
> 08:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY
> (rev 01)
> 14:00.0 FireWire (IEEE 1394): O2 Micro, Inc. Device 10f7 (rev 01)
> 14:00.1 SD Host controller: O2 Micro, Inc. Device 8120 (rev 01)
> 14:00.2 Mass storage controller: O2 Micro, Inc. Device 8130 (rev 01)
> 20:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B
> PCI Express Gigabit Ethernet controller (r...

Read more...

Dinu (deenoo-g) wrote :

Nice find!

Too bad NOBODY is working to fix this, as I can see this issue is still Unassigned !

John (berrisford-john) wrote :

I have a similar problem on a eee 1000H running 32bit ubuntu 11.04
Hibernate works fine for me
However, standby doesn't resume. Instead the lights on the front of the laptop come on, but the screen remains black (no backlight) and after 30seconds the computer shuts down.
This problems happens everytime when running on battery power but is intermittent on mains power - sometimes it resumes fine.

John

GrzegorzMiskiewicz (massive) wrote :

Same issue, after suspend, blank screen - nothing works, only restart. Ubuntu 64 bit 10.10.

cruel_storm (cruel-stormy) wrote :

Dear All,
I have the same problem with my Dell Latitude E6400. It was working fine with Ubuntu 10.04. But with Natty suspend / hibernation is not working at all. Suspend will cause the system to shutdown completely. I'm using this kernel now:
Linux ubuntu-pc 2.6.38-10-generic
Also, it didn't work with Natty original kernel 38-8.

Will Alexander (serverherder) wrote :

I have a STudio 1749 and experienced the same problem when moving to 2.6.38 from 2.6.35. My hardware profile is very close to the original poster's. I too was frustrated with the problem.

However, after enabling the pm_trace functionality, I was able to identify the offending modules: firewire_core and firewire_ohci. After rmmod'ing these two I was able to successfully resume from suspend. I added them to the blacklist and have not had a problem.

One issue I did run into, however, was after resuming the clock was be 10-20 years fast. STill working on a fix for that, but resume is now functional.

Hope this helps.

Rémi (pazelty) wrote :

Thanks a lot Will Alexander :)

I could not expected that it's could be that easy
It's working if I enter the command
# rmmod firewire_core and # rmmod firewire_ohci

but I tried to add to the blacklist and that's doesn't work.
I don't understand why...
I added the two lines

blacklist firewire_core

blacklist firewire_ohci

in a file "blacklist-suspend.conf" but that's doesn't work when I reboot...
I added after to blacklist-firewire.conf and after blacklist.conf
but this look to don't change anything...

Can you help me ?

Remi:
you may need to do
sudo update-initramfs -u

I just came to confirm that Will Alexander's solution also works on the Dell Studio 1747 (thank you!).
I didn't run into the problem with the system clock, but that may be because my system dual-boots with windows 7.

Dinu (deenoo-g) wrote :

This solution is not working for me (Sony Vaio VPCY2).
I've managed to remove and blacklist those 2 firewire modules but the PC is not recovering from suspend state,
I have a blank screen like I did have before removing those modules.

Can confirm that Will Alexander's solution works for me on my Dell 1747, running 64-bit Natty.

Dinu (deenoo-g) wrote :

What are the exact step you did to make it work ?
I've tried that but is not working for me ... maybe I've missed something.

Dinu (deenoo-g) wrote :

And when you say is working , what do you mean, is working to get the laptop out of the hibernation or sleep state ?

JasonVenkiteswaran (jjvenky) wrote :

Works for me too on a Dell Studio 1749.

Steps:

1. Create new file /etc/modprobe.d/blacklist-suspend.conf with the following two lines:

blacklist firewire_core
blacklist firewire_ohci

2. Run: sudo update-initramfs -u

3. Reboot and check that the modules were not loaded by running: lsmod | grep firewire

4. Suspend the machine and bring it back up.

5. Hibernate the machine and bring it back up.

Both suspend and hibernate work now.

Dinu (deenoo-g) wrote :

Yes these are the steps I did before, managed to blacklist those two firewire modules, this are not loaded anymore after reboot (checked this with lsmod | grep firewire) but the Suspend and Hibernation does not work for me, I still have the same issue, system hangs and is unable to recover.

My laptop is a Sony Vaio VPCY2

Liz Quilty (velofille) wrote :

Brilliant! blacklisting the firewire worked well on my Dell Studio 17" - thanks JasonVenkiteswaran (jjvenkit)

Chris Kruger (kruger-chris) wrote :
Download full text (3.4 KiB)

Hi all,
I logged the solution of kernel 2.6.35-020635-generic having worked for me earlier.

I tried this "blacklisting" trick on kernel 2.6.38-10-generic (last update) and it worked only if you had NOTHING MORE than maybe a 'terminal' session active when you try to 'hibernate' (any more - Firefox with a few tabs open + Evolution <<--CRASH).

Otherwise it fails just like the original but the syslog shows:

Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336463] Pid: 1195, comm: Xorg Tainted: P 2.6.38-10-generic #46-Ubuntu
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336465] Call Trace:
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336510] [<ffffffffa0221d4e>] ? KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336532] [<ffffffffa022f28c>] ? firegl_hardwareHangRecovery+0x1c/0x50 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336576] [<ffffffffa02b54d9>] ? _ZN4Asic9WaitUntil15ResetASICIfHungEv+0x9/0x10 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336617] [<ffffffffa02b548c>] ? _ZN4Asic9WaitUntil15WaitForCompleteEv+0x6c/0xb0 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336659] [<ffffffffa02b3b34>] ? _ZN15ExecutableUnits10CPRingIdleE15idle_WaitMethod12_QS_CP_RING_+0xe4/0x1a0 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336701] [<ffffffffa02b39fb>] ? _ZN15ExecutableUnits7PM4idleE15idle_WaitMethod+0x4b/0x90 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336742] [<ffffffffa02b36ae>] ? _ZN15ExecutableUnits9assertPM4Eb+0x1e/0x70 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336784] [<ffffffffa02bb7e0>] ? _ZN8AsicR6009assertPM4Eb+0x40/0x70 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336810] [<ffffffffa024c4a0>] ? firegl_cmmqs_disableqs+0x0/0x90 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336847] [<ffffffffa0290aa6>] ? CMMQS_DisableQS+0x16/0x20 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336872] [<ffffffffa024c4a0>] ? firegl_cmmqs_disableqs+0x0/0x90 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336897] [<ffffffffa024e042>] ? firegl_cmmqs_Disable_QS+0x62/0x80 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336922] [<ffffffffa024c4c0>] ? firegl_cmmqs_disableqs+0x20/0x90 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336938] [<ffffffffa021d9d6>] ? KCL_PosixSecurityCapCheck+0x26/0x30 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336958] [<ffffffffa022ae5a>] ? firegl_ioctl+0x1ea/0x250 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336972] [<ffffffffa021bd7e>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336977] [<ffffffff811764cf>] ? do_vfs_ioctl+0x8f/0x360
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336980] [<ffffffff81164e73>] ? vfs_write+0x123/0x180
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336983] [<ffffffff81176831>] ? sys_ioctl+0x91/0xa0
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336986] [<ffffffff8100c002>] ? system_call_fastpath+0x16/0x1b
Sep 7 09:41:29 chrisk-Studio-1749 kernel: [ 1687.336990] pubdev:0xffffffffa0462220, num of device:1 ...

Read more...

Francisco Cribari (cribari) wrote :

This bug affects me. My hardware: DELL Latitude E6510 (Intel GPU). My kernel:

cribari@darwin:~$ uname -a
Linux darwin 2.6.38-11-generic #50-Ubuntu SMP Mon Sep 12 21:17:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Basil Yokarinis (basilyok) wrote :

This bug also affects me. Same hardware, but running 10.04.

Alvaro Linares (alvarolinares) wrote :

I have Dell Vostro 1500 4Gb RAM with Natty 11.04 32bits
2.6.38-11-generic and 2.6.38-11-generic-pae

Suspend works fine, but Hibernation does hibernate without complains (cat /var/log/pm-suspend.log says success), but never resumes.

I've resized my partitions thinking swap partition size could have something to do, and after making swap part bigger than 8Gb the problem stills the same...

Alvaro Linares (alvarolinares) wrote :

I've solved my problem.
The problem I had was that hibrenation never resume, and finally discover that what was missing was an "resume" entry in grub2 configuration.
I think it has something to do with partition numbers, which in my case have changed, and grub didn't include the swap partition as a resume parameter in the kernel option.

http://wiki.debian.org/Grub#Configuring_grub_v2
By default grub2 in debian will not add 'resume=/dev/swap-partition' option
Hope it helps someone...

Insan al-Kitab (insanalkitab) wrote :

same problem on Dell Studio 1747, Ubuntu 11.10 64-bit - when I suspend the system, I loose the control and I can get it back only after a forced restart.

Liny (liny) wrote :

HP Envy 17' 3D 2090nr

Same issue for me. Suspend seems to work after I apply method from http://thecodecentral.com/2011/01/18/fix-ubuntu-10-10-suspendhibernate-not-working-bug. But when I resume, I get a black screen. However, I find out that the system seems functional, except the display. At least, I can reboot the system by REISUB sequence. And when I Ctrl+Alt+F1, and then "find" some file, the hard drive is working. And I can touch a file under my directory, that I can see after I reboot.

Anyway, hibernate seems working for me.

Liny (liny) wrote :

And I suggest we attaché our machine info on this bug: https://bugs.launchpad.net/lpbugreporter/+bug/752542. It might help development.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

sally (julesflwr) wrote :
Download full text (4.8 KiB)

Suspend/hibernation has been fixed in the latest version of Ubuntu 11.10 on my computer Dell inspiron 1420.

________________________________
From: Joseph Salisbury <email address hidden>
To: <email address hidden>
Sent: Friday, October 21, 2011 1:17 PM
Subject: [Bug 748994] Re: suspend hibernation not working on dell 1749

Would it be possible for you to test the latest upstream kernel?  It
will allow additional upstream developers to examine the issue. Refer to
https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release
candidate kernel versus the daily build.  Once you've tested the
upstream kernel, please remove the 'needs-upstream-testing' tag(Only
that one tag, please leave the others). This can be done by clicking on
the yellow pencil icon next to the tag located at the bottom of the bug
description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following
tag 'kernel-fixed-upstream-KERNEL-VERSION'.  For example, if kernel
version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-
upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Thanks in advance.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/748994

Title:
  suspend hibernation not working on dell 1749

Status in “linux” package in Ubuntu:
  Confirmed

Bug description:
  Hello every body

  natty look very cool but hibernation and suspend are not working on my
  computer ( dell studio 1749) and it's was working allright on
  maverick.

  - suspend look to work but resume don't work, the screen stay black without even lcd back light
  - hibernation don't look to work, screen stay completly black and cpu sound to work (fan working fastly). and computer never shut down.

  if I can help in any way, you are welcome to ask me.

  Rémi

  ProblemType: Bug
  DistroRelease: Ubuntu 11.04
  Package: linux-image-2.6.38-7-generic-pae 2.6.38-7.39
  Regression: Yes
  Reproducible: Yes
  ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
  Uname: Linux 2.6.38-7-generic-pae i686
  NonfreeKernelModules: wl
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
  Architecture: i386
  ArecordDevices:
  **** List of CAPTURE Hardware Devices ****
  card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
    Subdevices: 1/1
    Subdevice #0: subdevice #0
  AudioDevicesInUse:
  USER        PID ACCESS COMMAND
  /dev/snd/controlC0:  paz        1268 F.... pulseaudio
  CRDA: Error: [Errno 2] No such file or directory
  Card0.Amixer.info:
  Card hw:0 'Intel'/'HDA Intel at 0xf0a00000 irq 44'
    Mixer name    : 'IDT 92HD73C1X5'
    Components    : 'HDA:111d7675,1028041b,00100103'
    Controls      : 18
    Simple ctrls  : 12
  Card1.Amixer.info:
  Card hw:1 'Generic'/'HD-Audio Generic at 0xcfedc000 irq 46'
    Mixer name    : 'ATI R6xx HDMI'
    Components    : 'HDA:1002aa01,00aa0100,00100200'
    Controls      : 4
    Simple ctrls  : 1
  Card1.Amixer.values:
  Simple mixer control 'IEC958',0
    Capabilities: pswitch pswitch-join...

Read more...

JG (jdogzz-g5) wrote :

I have a Dell Studio 1747 running 11.10 and I have this problem as well. I tried the blacklist method but it didn't work.

Rémi, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please provide the information following https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume ? As well, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ . However, note you can only test Suspend, not Hibernate, when using a LiveCD. If the issue remains, run the following command in the development release from a Terminal (Applications->Accessories->Terminal) as it will automatically gather and attach updated debug information to this report.

apport-collect -p linux <BUGNUMBER>

Additionally, if you could try to reproduce this with the upstream mainline kernel that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

tags: added: needs-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Thank you very much for your work.
Unfortunatly I currently travel around the world and I don't have my
computer with me and I don't plan to comeback before few month.
Then I won't be able to do it before a while.
Is somebody with the same computer can make this test ?

Reuben Firmin (reubenf) wrote :

I had this issue on my Asus U24E. The firewire blacklist did not work.

The script that Liny posted, above, works. Including here as a mirror.

From: http://thecodecentral.com/2011/01/18/fix-ubuntu-10-10-suspendhibernate-not-working-bug

Create and make executable: /etc/pm/sleep.d/20_custom-ehci_hcd

#!/bin/sh
#inspired by http://art.ubuntuforums.org/showpost.php?p=9744970&postcount=19
#...and http://thecodecentral.com/2011/01/18/fix-ubuntu-10-10-suspendhibernate-not-working-bug
# tidied by tqzzaa :)

VERSION=1.1
DEV_LIST=/tmp/usb-dev-list
DRIVERS_DIR=/sys/bus/pci/drivers
DRIVERS="ehci xhci" # ehci_hcd, xhci_hcd
HEX="[[:xdigit:]]"
MAX_BIND_ATTEMPTS=2
BIND_WAIT=0.1

unbindDev() {
  echo -n > $DEV_LIST 2>/dev/null
  for driver in $DRIVERS; do
    DDIR=$DRIVERS_DIR/${driver}_hcd
    for dev in `ls $DDIR 2>/dev/null | egrep "^$HEX+:$HEX+:$HEX"`; do
      echo -n "$dev" > $DDIR/unbind
      echo "$driver $dev" >> $DEV_LIST
    done
  done
}

bindDev() {
  if [ -s $DEV_LIST ]; then
    while read driver dev; do
      DDIR=$DRIVERS_DIR/${driver}_hcd
      while [ $((MAX_BIND_ATTEMPTS)) -gt 0 ]; do
          echo -n "$dev" > $DDIR/bind
          if [ ! -L "$DDIR/$dev" ]; then
            sleep $BIND_WAIT
          else
            break
          fi
          MAX_BIND_ATTEMPTS=$((MAX_BIND_ATTEMPTS-1))
      done
    done < $DEV_LIST
  fi
  rm $DEV_LIST 2>/dev/null
}

case "$1" in
  hibernate|suspend) unbindDev;;
  resume|thaw) bindDev;;
esac

summary: - suspend hibernation not working on dell 1749
+ suspend hibernation not working

Reuben Firmin, please do not toggle this report. If you are having a problem in Ubuntu, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

summary: - suspend hibernation not working
+ suspend hibernation not working on dell 1749
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions